## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%define unmangled_name proton-client
%define version 0.7.1
%define release 3

Prefix: %{_prefix}

Name: python3-proton-client
Version: %{version}
Release: %{release}
Summary: Safely login with ProtonVPN credentials to connect to Proton.

Group: ProtonVPN
License: GPLv3
Url: https://github.com/ProtonMail/proton-python-client
Vendor: Proton Technologies AG <contact@protonmail.com>
Source0: %{unmangled_name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot

BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-requests
Requires: python3-pyOpenSSL
Requires: python3-bcrypt
Requires: python3-gnupg
Conflicts: python3-protonvpn-nm-lib < 3.5.0

BuildRequires: python3-requests
BuildRequires: python3-gnupg
BuildRequires: python3-pyOpenSSL
BuildRequires: python3-bcrypt
BuildRequires: python3-urllib3
Requires: python3-urllib3

%{?python_disable_dependency_generator}

%description
This package, originally forked from python-srp module implements a simple
wrapper to Proton Technologies API, abstracting from the SRP authentication.

%prep
%setup -q -n %{unmangled_name}-%{version} -n %{unmangled_name}-%{version}

%build
%{python3} setup.py build

%install
%{python3} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%{python3_sitelib}/proton/
%{python3_sitelib}/proton_client-%{version}*.egg-info/
%defattr(-,root,root)

%changelog
* Thu Nov 09 2023 CoprDistGit <copr-devel@lists.fedorahosted.org> - 0.7.1-1
- automatic import of python3-proton-client
